h00992
s 00029/00011/00007
d D 1.2 83/01/21 16:56:15 tes 2 1
c Added header
e
s 00018/00000/00000
d D 1.1 83/01/20 11:08:49 tes 1 0
c date and time created 83/01/20 11:08:49 by tes
e
u
tes
mjb
U
t
T
I 1
subroutine appear
I 2
########################################################################
#                                                                      #
#          THIS MATERIAL IS CONFIDENTIAL AND IS FURNISHED UNDER        #
#          A WRITTEN LICENSE AGREEMENT.  IT MAY NOT BE USED,           #
#          COPIED OR DISCLOSED TO OTHERS EXCEPT IN ACCORDANCE          #
#          WITH THE TERMS OF THAT AGREEMENT.                           #
#                                                                      #
#          COPYRIGHT (C) 1982 GRAPHIC SOFTWARE SYSTEMS INC.            #
#          ALL RIGHTS RESERVED.                                        #
#                                                                      #
#     Function: Set appear mode for both text and lines                #
#                                                                      #
#     Input Parameters:                                                #
#            None                                                      #
#                                                                      #
#     Output Parameters:                                               #
#            None                                                      #
#                                                                      #
#     Routines Called:                                                 #
#            None                                                      #
#                                                                      #
########################################################################
integer contrl(3), intin(1), dummy(1)
E 2

D 2
integer contrl(6), intin(1), ptsin(1), intout(1), ptsout(1)
E 2
I 2
data contrl /0, 0, 0/
data intin /1/
E 2

D 2
# set foreground color for text
contrl(1) = 22
contrl(2) = 0
intin(1) = 1
call gzddop (contrl, intin, ptsin, intout, ptsout)
E 2
I 2
contrl(1) = 22   # set text color index
call gzddop (contrl, intin, dummy, dummy, dummy)
E 2

D 2
# set foreground color for lines
contrl(1) = 17
contrl(2) = 0
intin(1) = 1
call gzddop (contrl, intin, ptsin, intout, ptsout)
E 2
I 2
contrl(1) = 17   # set polyline color index
call gzddop (contrl, intin, dummy, dummy, dummy)
E 2

return
end
E 1
